#include <stdio.h>

int main(){
	FILE *f;
	char ime[20];
	unsigned o1,o2,o3,o4,o5,o6,o7,o8,o9;
	int n, i;
	char nedovoljni[200];
	char odlicni[200];
	f = fopen("ucenici.txt", "r");	
	if(f==NULL){
		printf("-1\n");
		return 0;
	}

	sprintf(nedovoljni, "%s", "");
	sprintf(odlicni, "%s", "");
	
	fscanf(f, "%d", &n);
	for(i=0; i<n; i++){
		fscanf(f,"%s %u %u %u %u %u %u %u %u %u", ime, &o1,&o2,&o3,&o4,&o5,&o6,&o7,&o8,&o9);
		if(o1==1 || o2==1 || o3==1 || o4==1 || o5==1 || o6==1 || o7==1 || o8==1 || o9==1)
			sprintf(nedovoljni, "%s %s",nedovoljni, ime);
		else if((o1+o2+o3+o4+o5+o6+o7+o8+o9)*1.0/9>=4.5)
			sprintf(odlicni, "%s %s", odlicni, ime);
	}
	printf("NEDOVOLJNI: %s\n", nedovoljni);
	printf("ODLICNI: %s\n", odlicni);
	fclose(f);
	return 0;
}
